Bug 730242 - cyrus sasl doesn't create uid/gid according to the setup package
Summary: cyrus sasl doesn't create uid/gid according to the setup package
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: cyrus-sasl
Version: 6.1
Hardware: All
OS: Linux
medium
urgent
Target Milestone: rc
: ---
Assignee: Jan F. Chadima
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
: 744682 (view as bug list)
Depends On:
Blocks: 748554 833760
TreeView+ depends on / blocked
 
Reported: 2011-08-12 09:31 UTC by Miroslav Vadkerti
Modified: 2018-06-12 11:41 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 833760 (view as bug list)
Environment:
Last Closed: 2011-12-06 17:02:20 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1687 normal SHIPPED_LIVE cyrus-sasl bug fix and enhancement update 2011-12-06 00:49:58 UTC

Comment 5 Tomas Mraz 2011-08-15 15:24:55 UTC
It is really questionable what the fix should be here. Note that there is the saslauth group that is shared with the cyrus-imapd package - so there certainly the -g 76 option should be added. But the saslauth user should use a different uid that is not preallocated in the setup yet.

Comment 6 RHEL Product and Program Management 2011-08-15 15:30:12 UTC
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux maintenance release. Product Management has 
requested further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed 
products. This request is not yet committed for inclusion in an Update release.

Comment 10 Michal Hlavinka 2011-10-11 08:45:21 UTC
this change is "nice to have", but in new Fedora version, it's breaking stuff (cyrus-imapd bug #744682 ), so it's a bad idea to fix it in rhel6

For fixing this, I'd have to update cyrus-imapd, but it'd change
a)cyrus user to saslauth user
OR
b)changed uid of cyrus user

both could break existing installations
this change should be reverted

Comment 11 Ondrej Vasik 2011-10-11 12:49:29 UTC
Allocating saslauth user as static id 76 is no-go  - it should be either dynamically allocated or ask for static id reservation in setup package (if required). Creating group is perfectly ok, as this group id is reserved.

Moving back to Assigned and setting blocker, as this change is breaking cyrus-imapd package.

Comment 12 Ondrej Vasik 2011-10-11 12:51:00 UTC
*** Bug 744682 has been marked as a duplicate of this bug. ***

Comment 15 errata-xmlrpc 2011-12-06 17:02:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1687.html


Note You need to log in before you can comment on or make changes to this bug.